<app-card
    routerLink="/consultation"
    [queryParams]="{ consultationId: item.id }"
>
    <div content class="consultation">
        <ion-row class="ion-nowrap">
            <!-- Consultation -->
            <ion-col size="auto" class="ion-no-padding">
                <div
                    class="width-90 height-90 has-background-primary radius-9 ion-text-center is-white pt-10"
                >
                    <!-- Consultation day -->
                    <ion-text class="size-12">{{
                        (
                            item.calendar.availableDate
                            | date : 'E'
                            | uppercase
                        )?.replace('.', '')
                    }}</ion-text>
                    <br />
                    <!-- Consultation date -->
                    <ion-text
                        data-test-id="dateAvailability"
                        class="size-30 weight-600"
                    >
                        {{ item.calendar.availableDate | date : 'd' }}
                    </ion-text>
                    <br />
                    <!-- Consultation month -->
                    <ion-text data-test-id="month" class="size-12 weight-300">
                        {{
                            (
                                item.calendar.availableDate
                                | date : 'MMM'
                                | uppercase
                            )?.replace('.', '')
                        }}
                    </ion-text>
                </div>
            </ion-col>

            <ion-col
                class="consultation__description pl-10 ion-justify-content-center"
            >
                <!-- Doctor informations -->
                <ion-row>
                    <!-- Doctor name -->
                    <ion-col class="ion-no-padding">
                        <ion-text class="size-14 weight-600" color="dove-black">
                            Dr {{ item.calendar.doctor.name }}
                            {{ item.calendar.doctor.firstname }}
                        </ion-text>
                        <br />
                        <!-- Doctor domain -->
                        <ion-text
                            class="consultation__domain size-11 weight-400"
                            color="dove-black"
                            >{{
                                item.calendar.doctor.domain.fonctionName
                            }}</ion-text
                        >
                    </ion-col>
                    <!-- Video icon -->
                    <ion-col
                        size="auto"
                        *ngIf="showVideo"
                        data-test-id="video-consultation"
                    >
                        <ion-icon
                            name="videocam-outline"
                            color="white"
                            class="has-background-primary size-16 p-4 radius-12"
                            (click)="startZoom()"
                            (keyPress)="startZoom()"
                        ></ion-icon>
                    </ion-col>
                </ion-row>

                <ion-row
                    class="ion-margin-top ion-align-items-center pr-34 ion-nowrap"
                >
                    <!-- Meeting time icon -->
                    <ion-col size="auto" class="pb-0 pl-0 pr-2 pt-3">
                        <ion-icon
                            name="time"
                            color="primary"
                            class="size-13"
                        ></ion-icon>
                    </ion-col>
                    <!-- Meeting time -->
                    <ion-col size="auto" class="ion-no-padding pb-1">
                        <ion-text
                            data-test-id="meeting-hours"
                            color="dove-black"
                            class="consultation__time size-11"
                            >{{
                                item.calendar.availableDateStart | slice : 0 : 5
                            }}</ion-text
                        >
                    </ion-col>

                    <!-- Doctor price icon -->
                    <ion-col class="pb-0 pl-9 pr-4 pt-2" size="auto">
                        <ion-icon name="cash" class="size-12"></ion-icon>
                    </ion-col>
                    <!-- Doctor price -->
                    <ion-col class="pt-0 pb-1 px-2">
                        <ion-text
                            color="dark-medium"
                            class="block width-56 size-11 weight-700 text-secondary"
                        >
                            {{ item.calendar.doctor.consultationPrice }} XOF
                        </ion-text>
                    </ion-col>

                    <!-- Meeting status icon -->
                    <ion-col
                        class="consultation__status ion-no-padding ion-justify-content-end ion-align-items-center"
                    >
                        <ion-icon
                            class="size-19"
                            name="alert-circle"
                            [ngClass]="{
                                'is-primary':
                                    item.status ===
                                    ConsultationStatus.terminated,
                                'is-green':
                                    item.status ===
                                    ConsultationStatus.confirmByDoctor,
                                'is-danger-light':
                                    item.status === ConsultationStatus.annuled,
                                'is-alert':
                                    item.status ===
                                        ConsultationStatus.waiting ||
                                    item.status === ConsultationStatus.payed
                            }"
                        ></ion-icon>
                    </ion-col>
                    <!-- Meeting status -->
                    <ion-col class="pt-0 px-2 pb-1" size="auto">
                        <ion-text
                            class="block size-11 weight-500 width-55"
                            color="dark-light"
                            data-testid="meeting-status"
                        >
                            {{
                                item.status
                                    | message
                                        : statusMessages
                                        : ConsultationStatus
                            }}
                        </ion-text>
                    </ion-col>
                </ion-row>
            </ion-col>
        </ion-row>
    </div>
</app-card>
